<?php
abstract class GJ_Apply{

    public $id;

    function __construct()
    {
        if(!$this->id){
            $this->id = strtolower(str_replace('GJ_Apply_', '', get_class($this)));
        }
    }

    abstract function get_title();

    abstract function get_description();

    abstract function admin_option_fields();

    public function get_option($key, $default = ''){
        $option = gj_option('apply_'.$this->id.'_'.$key, $default);
        return $option;
    }

    public function is_available(){

        if($this->get_option('enable')){
            return true;
        }

        return false;
    }
}

