<?php
/**
 * @class 		GJ_Field_Email
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

class GJ_Field_Email extends GJ_Field_Text {

    protected $type = 'email';
    protected $inputType = 'email';
    protected $name = 'Email';

    public $validationFieldConfig = false;

    public function input(){
        $class = $this->getSetting('inputClass');
        $width = $this->getSetting('inputWith');
        $help = $this->getSetting('help');
        $hint = $this->getSetting('hint');
        $placeholder = $this->getSetting('placeholder');
        $readonly = $this->getSetting('readonly');
        return "{
            'type' : 'input',
            'inputType' : '{$this->inputType}',
            'label' : ".($this->settings->showlabel === 'true' ? "'{$this->clearn_text($this->settings->name)}'" : 'null').",
            'model' : '{$this->settings->metakey}',
            'default' : '{$this->clearn_text($this->settings->default)}',
            'required' : ".($this->settings->required === 'true' ? 'true' : 'false').",
            'validator' : 'email',
            ".($class ? "styleClasses : '{$this->clearn_text($class)}'," : "")."
            ".($width ? "styleWidth : {$this->clearn_text($width)}," : "")."
            ".($help ? "help : '{$this->clearn_text($help)}'," : "")."
            ".($hint ? "hint : '{$this->clearn_text($hint)}'," : "")."
            ".($placeholder ? "placeholder : '{$this->clearn_text($placeholder)}'," : "")."
            ".($readonly ? "readonly : '{$this->clearn_text($readonly)}'," : "")."
        }";
    }
}