<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>
<div class="gj-application-details application-popup">
    <?php
    if ( $application ) {
        $application_id = $application->get_id();
        $author = $application->get_author();
        if($author){
            ?>
            <div class="avatar">
               <?php echo get_avatar($author->get_id()); ?>
            </div>
            <?php
        }
        ?>
        <form action="" method="post" class="gj-update-appication-form">
            <div class="application-job-date">
                <?php
                $job = $application->get_job();
                if($job){
                    echo '<a class="application-job" href="'.esc_url($job->permalink()).'" title="'.esc_attr($job->get_title()).'"><i class="lnr lnr-book"></i>'.wp_trim_words($job->get_title(), 7).'</a>';
                }
                echo '<span class="application-date"><i class="lnr lnr-clock"></i>'.$application->get_created(get_option('date_format')).'</span>';
                ?>
            </div>
            <div>
                <?php
                    $fields = gj_fields($application_id);
                    if($fields){
                        foreach ($fields as $field){
                            $field->outputHtml();
                        }
                    }
                ?>
            </div>
        </form>
    <?php } ?>
</div>
