<div class="container">
    <form action="#" method="post" class="gj-form-2 gj-checkout-form gj-main-block">
    <?php
    $cart = new GJ_Cart();
    $products = $cart->get_products();
    if ($products):
    $price = $cart->get_total_price();
    ?>
        <div class="gj-order-payment">
            <div class="gj-order">
                <h3><?php echo $products[0]->get_title_for_order(); ?></h3>
                <div class="gj-order-price">
                    <?php
                    echo '<div>';
                    echo sprintf(__('<span class="title">Price</span> <span>%s</span>', 'gj'), gj_system_price($cart->get_sub_total_price()));
                    echo '<br/>';
                    if($cart->has_tax()) {
                        echo sprintf(__('<span class="title">Tax - %s%%</span> <span>%s</span>', 'gj'), $cart->get_tax(), gj_system_price($cart->get_tax_price()));
                        echo '<br/>';

                        echo sprintf(__('<span class="title">Total Price</span> <span>%s</span>', 'gj'), gj_system_price($cart->get_total_price()));
                    }

                    echo '</div>';
                    ?>
                </div>
            </div>
            <?php if($price > 0){ ?>
            <div class="gj-payments">
                <h3><?php echo esc_html__('Choose Payment', 'gj'); ?></h3>
                <div class="gj-payments-content">
                    <?php
                    $payment_gateways = GJ()->payment_gateways->get_available_payment_gateways();
                    if($payment_gateways) {
                        foreach ($payment_gateways as $payment_gateway) {
                            $id = 'payment-' . $payment_gateway->id;
                            ?>
                            <div class="payment-method">
                                <input id="<?php echo esc_attr($id); ?>" class="custom-input-radio" type="radio"
                                       name="payment_method" value="<?php echo esc_attr($payment_gateway->id); ?>">
                                <label for="<?php echo esc_attr($id); ?>"></label><span><?php echo esc_html($payment_gateway->get_title()); ?></span>
                                <div class="payment-description">
                                    <?php echo wp_kses_post($payment_gateway->get_description()); ?>
                                </div>
                            </div>
                        <?php
                        }
                    }else{
                        ?>
                        <div class="payment-method">
                            <?php
                            echo esc_html__('Please active payment gateway.', 'gj');
                            ?>
                        </div>
                    <?php
                    }
                    ?>
                </div>
            </div>
            <?php } ?>
        </div>

        <?php do_action('gj_checkout_before_payment_btn', $cart); ?>

        <?php wp_nonce_field( 'gj-checkout', 'gj-action'); ?>

        <input type="hidden" name="price" value="<?php echo esc_attr($cart->get_total_price()); ?>">
        <input type="hidden" name="currency" value="<?php echo esc_attr($cart->get_currency()); ?>">

        <div class="gj-respon-msg gj-hide"></div>
        <div class="gj-button-loader">
            <button type="button" class="gj-btn gj-btn-icon gj-btn-primary gj-payment-btn" <?php echo ($price > 0) ? 'disabled' : ''; ?>><i class="lnr lnr-location"></i> <?php echo esc_html__('Continue', 'gj'); ?></button>
        </div>
    <?php else :?>
    <div><?php wp_kses_post(_e('Your cart is currently empty. Back to <a href="../../">Home</a>', 'gj')); ?></div>
    <?php endif;?>
    </form>
</div>