<div class="gj-profile clearfix">
    <?php
    $user = GJ_User::get_user();
    ?>
    <div class="navigation-bar">
        <span><?php echo __('My profile', 'gj'); ?></span>
        <?php if($user->is_employer()){
            $_postID = $user->get_employer_id();
            ?>
            <a href="<?php echo esc_url(gj_dashboard_endpoint_url('company', $_postID)); ?>"><?php echo __('Company profile', 'gj'); ?></a>
        <?php }else{
            $_postID = $user->get_candidate_id();
            ?>
            <a href="<?php echo esc_url(gj_dashboard_endpoint_url('resume', $_postID)); ?>"><?php echo __('Resume profile', 'gj'); ?></a>
        <?php } ?>
    </div>
    <form method="post" action="#" class="gj-form-2 gj-employer-form gj-block">
        <div id="profile-form">
            <vue-form-generator :schema="schema" :model="model" :options="formOptions"></vue-form-generator>
        </div>
        <button class="gj-btn gj-btn-primary gj-update-profile-btn"><?php echo esc_html__('Update Profile', 'gj');?></button>
        <button class="gj-btn gj-delete-account-btn" data-message="<?php echo esc_html__('Are your sure want to delete your account ?', 'gj'); ?>"><?php echo esc_html__('Delete Account', 'gj');?></button>
    </form>
</div>