<?php
/**
 * The Template for notification icon
 * @package GJ/Templates
 * @since 1.0.1
 */

if ( !is_user_logged_in() ) {
$job_suggest               = get_permalink( gj_option( 'suggest_job_page_id' ) );
?>
<div class="gj-notifications">
    <a href="#" class="gj_link_notice notice_active">
        <i class="lnr lnr-alarm"></i>
    </a>
    <div class="gj-notification-menu" data-user_id="<?php echo is_user_logged_in() ? esc_attr( get_current_user_id() ) : ''; ?>">
        <ul>
            <li>
                <a href="<?php echo gj_get_page_permalink('register'); ?>" data-notice_item="gj_notice_register">
                    <i class="lnr lnr-book"></i>
                    <span><?php echo wp_kses_post( __('<b class="highlight">Register now</b> to reach dream jobs easier.', 'gj' )); ?></span>
                </a>
            </li>

            <li>
                <a href="<?php echo esc_url( $job_suggest ); ?>" class="gj_notification_link" data-notice_item="gj_notify_suggest_job">
                    <i class="lnr lnr-book"></i>
                    <span><?php echo wp_kses_post( __('<b class="highlight">Job suggestion</b> you might be interested based on your profile.', 'gj' )); ?></span>
                </a>
            </li>
        </ul>
    </div>
</div>
<?php } ?>