<?php 
$fields = gj_fields(null, 'gj_job', 'filterOrdering');
$data_filter = GJ_Job_Listing::instance()->get_data_filtered();
if (!empty($data_filter)) :
?>
<div class="gj-filter-selected-list">
    <ul class="clearfix">
        <?php
            do_action('gj_before_filtered', $data_filter);
        ?>

        <?php if (isset($data_filter['keyword']) && $data_filter['keyword']) { ?>
            <li data-search_type="keyword" class="gj-filter-selected-item"><label><i
                            class="fa fa-search"></i> <?php echo esc_html($data_filter['keyword']) ?></label>
                <a href="#" class="remove"><i class="lnr lnr-cross-circle"></i></a>
            </li>
        <?php } ?>

        <?php
            foreach ($fields as $field) {
                $field->filteredOutputHtml('gj_job');
            }

            do_action('gj_after_filtered', $data_filter);
        ?>
    </ul>
    <button class="btn gj-btn-primary" id="gj-clear-filtered"><?php echo esc_html__('Clear Filter', 'gj'); ?></button>
</div>
<?php endif; ?>