<?php
$post = get_post();
if ( is_single() && $post && $post->post_type == 'gj_job' ) {
    $fields = gj_fields();  
    $has_output = false;
    
    if ($fields) {
        foreach ($fields as $field){
            if($field->getSetting('outputPosition') === 'sidebar'){
                if($field->hasValue()){
                    $has_output = true;
                    break;
                }
            }
        }
    }

    if($has_output){
        echo wp_kses_post($args['before_widget']);
        ?>
            <div class="job-info gj-info-sidebar widget-item-sidebar">
                <?php
                if ( isset( $instance['title'] ) ) {
                    $title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : '';
                    $title = apply_filters( 'widget_title', $title, $instance, $widget_id );

                    if ( $title ) {
                        echo wp_kses_post($args['before_title'] . $title . $args['after_title']);
                    }
                }
                ?>

                <?php
                echo '<ul>';
                foreach ($fields as $field){
                    if($field->getSetting('outputPosition') === 'sidebar'){
                        $field->outputHtml(array('before' => '<li>', 'after' => '</li>'));
                    }
                }
                echo '</ul>';
                ?>
            </div>
        <?php
        echo wp_kses_post($args['after_widget']);
    }
}
