<?php
/**
 * Uninstalling plugin deletes user roles, pages, tables, and options.
 *
 * @author      InwaveThemes
 * @package     GJ/Uninstaller
 * @version     1.0.1
 */

if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
}

$options = get_option('gj_settings');
if(isset($options['delete_database']) && $options['delete_database']){
    include_once( 'includes/install.class.php' );
    GJ_Install::uninstall();
}
