<?php
/**
 * @class 		GJ_Field_Price
 * @package		GJ/Field/Classes
 * @author 		InwaveThemes
 */

class GJ_Field_Price extends GJ_Field_Number {

    protected $type = 'price';
    protected $inputType = 'number';
    protected $name = 'Price';

    public function get_prefix()
    {
        return gj_get_currency();
    }

    public function outputValue()
    {
        $value = parent::outputValue();
        return gj_price($value);
    }
}