<?php if(gj_option('email_application_enable')){
    $application_emails = GJ_Application::get_emails();
    ?>
    <div class="modal fade" id="gj-application-email-modal" tabindex="-1" role="dialog">
        <div class="iw-vertical-alignment-helper">
            <div class="iw-vertical-align-center">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <form class="gj-application-email-form" action="<?php echo esc_url(get_the_permalink()); ?>" method="post" enctype="multipart/form-data">
                            <div class="modal-header">
                                <h4 class="modal-title" data-title="<?php echo esc_html__('Send an email to','gj'); ?>"></h4>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            </div>
                            <div class="modal-body">
                                <select name="email_type" id="application-email">
                                    <option value=""><?php echo esc_html__('Select A Letter Template', 'gj'); ?></option>
                                    <?php foreach ($application_emails as $email){
                                        echo '<option value="'.$email['id'].'">'.$email['title'].'</option>';
                                    } ?>
                                </select>
                                <textarea id="application-email-templates" style="display: none"><?php echo json_encode($application_emails); ?></textarea>
                                <input type="text" name="subject" placeholder="<?php echo esc_html__('Enter Email Subject', 'gj'); ?>" value="">
                                <textarea name="content" placeholder="<?php echo esc_html__('Enter email content', 'gj'); ?>"></textarea>
                                <div class="hint"><?php echo esc_html__('You can use tags: #employer_name#, #employer_email#, #candidate_name#, #candidate_email#', 'gj'); ?></div>
                            </div>
                            <div class="gj-respon-msg gj-hide"></div>
                            <div class="modal-footer">
                                <div class="gj-button-loader">
                                    <button class="gj-application-email-btn gj-btn-primary"><?php echo esc_html__('Send', 'gj'); ?></button>
                                </div>
                                <button type="button" class="gj-btn" data-dismiss="modal"><?php echo esc_html__('Cancel', 'gj'); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php } ?>