<?php
$current_endpoint = gj_current_dashboard_endpoint();
$dashboard_menus = gj_dashboard_menus();
?>
<ul>
    <?php
    foreach ($dashboard_menus as $group){
        if(count($group['menus']) > 0){
            ?>
            <li>
                <h3><?php echo $group['title']; ?></h3>
                <ul>
                    <?php
                    foreach ($group['menus'] as $endpoint=>$menu){
                        ?>
                        <li <?php echo ($current_endpoint == $endpoint ? 'class="active"' : ''); ?>>
                            <a href="<?php echo esc_url($menu['url']); ?>">
                                <i class="<?php echo esc_attr($menu['icon']); ?>"></i><?php echo esc_html($menu['title']);?>
                            </a>
                        </li>
                        <?php
                    }
                    ?>
                </ul>
            </li>
            <?php
        }
    }
    ?>
</ul>