<div class="gj-verify-account gj-login <?php echo esc_attr($atts['class']); ?>">
    <h3 class="title"><?php echo esc_html__('your email is not verified!', 'gj'); ?></h3>
    <div class="desc"><?php echo esc_html__('To continue the task on the site, you must verify your account with the link sent to your email address. If you did not receive this email, please check your junk/spam folder.', 'gj'); ?></div>
    <div class="resend-email">
        <?php echo sprintf(__("Or click %s to get the new email", 'gj'), '<a href="#" class="gj-resend-verification" data-sending-text="'.esc_attr__('sending', 'gj').'">'.esc_html__('here', 'gj').'</a>');?>
        <div class="resend-email-message"></div>
    </div>
    <div class="desc-form"><?php echo esc_html__('If you entered an incorrect email address, you will need to update your account with the correct email address.', 'gj'); ?></div>
    <form class="gj-change-email-form gj-form">
        <div class="gj-field">
            <div class="gj-input">
                <input name="email" placeholder="<?php echo esc_html__('Enter Your Email Address.' ,'gj'); ?>" type="email">
            </div>
        </div>
        <div class="gj-button-loader">
            <button class="gj-btn-primary gj-change-email-btn" type="submit" name="submit"><i class="lnr lnr-arrow-right"></i></button>
        </div>
        <div class="gj-respon-msg"></div>
    </form>
</div>