<?php
$user	=   \GJ_User::get_user();
$job 	= GJ_Job::get_job(get_post());
$can_apply = $job->can_apply();
if($can_apply ){
    echo wp_kses_post($args['before_widget']);

    if (isset($instance['title'])) {
        $title = (!empty($instance['title'])) ? $instance['title'] : '';
        $title = apply_filters('widget_title', $title, $instance, $widget_id);

        if ($title) {
            echo wp_kses_post($args['before_title'] . $title . $args['after_title']);
        }
    }

    ?>
    <div class="action-button widget-item-sidebar">
        <?php
		
		if($can_apply === 0) {
			echo '<span class="job-expired alert alert-danger"><i class="fa fa-exclamation-triangle"></i> ' . esc_html__('This job has expired.', 'jetapo') . '</span>';
		}elseif ($user && !$user->can_apply()) {
			echo '<span class="job-expired alert alert-danger"><i class="fa fa-exclamation-triangle"></i> ' . esc_html__('Employers do not have permission to apply to jobs', 'jetapo') . '</span>';
		}else {
            if ($job->get_custom_apply_url()) {
                ?>
                <a href="<?php echo esc_url($job->get_custom_apply_url()); ?>" class="apply-job">
                    <?php echo esc_html__('Apply now', 'gj'); ?><i class="fa fa-paper-plane"></i>
                </a>
                <?php
            } else {
                    $applies = GJ()->applies->applies();
                    $check = true;
                    if ($applies) {
                        $applies = array_reverse($applies);
                        foreach ($applies as $apply) {
                            if ($apply->is_available()) {
                                if ($apply->id == 'facebook' || $apply->id == 'linkedin' && $check) {
                                    echo '<span>'.esc_html__('Or Apply With','gj').'</span>';
                                    echo '<div class="line"></div>';
                                    $check = false;
                                }
                                $apply->apply_button($job);
                            }
                        }
                    }
                }
		}   ?>
    </div>
    <?php
    echo wp_kses_post($args['after_widget']);
}
?>